openjpa-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Dick <michael.d.d...@gmail.com>
Subject Re: SAP MaxDB not supported?
Date Mon, 22 Nov 2010 15:47:06 GMT
You're welcome, thanks for letting us know it worked.

-mike

On Mon, Nov 22, 2010 at 9:41 AM, joe <fischauto333@yahoo.de> wrote:

> Hi,
>
>
>  I've committed the code changes and a section to the user manual. Could
>> use
>> the class name for the JDBC driver, and some version information for the
>> manual, but function wise you should be good to go once we publish a new
>> SNAPSHOT build.
>>
>
> I downloaded the 2.1.0 snapshot and found the added MaxDBDictonary class.
> Cause i can only use openjpa 1.2.1 with OpenEJB in a Java 1.5 environemnt,
> i recompiled the class for 1.5 and added it to the
> openjpa-1.2.1.jar shipped with OpenEJB then i edited the persistence.xml
> <property name="openjpa.jdbc.DBDictionary"
> value="org.apache.openjpa.jdbc.sql.MaxDBDictionary" />
>
> And it works!
> I did some tests (simple CRUDs) and had no problems.
> As described in the MaxDBDictonary class, currently its just
> a placeholder.
> So for production i will use
>
> <property name="openjpa.jdbc.DBDictionary"
> value="org.apache.openjpa.jdbc.sql.DBDictionary" />
> so i dont have to patch the openjpa-1.2.1.jar with the new class.
>
> Thx for your help.
>
>
>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message